# $Revision: 1.60 $, $Date: 2005/10/19 16:55:01 $
Summary:	ettercap - a ncurses-based sniffer/interceptor utility
Summary(pl):	ettercap - oparte o ncurses narzdzie do sniffowania/przechwytywania
Summary(pt_BR):	ettercap e um interceptador/sniffer paseado em ncurses
Name:		ettercap6
Version:	0.6.b
Release:	5
Epoch:		1
License:	GPL
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/ettercap/ettercap-%{version}.tar.gz
# Source0-md5:	f665cf82347a91f216184537f8f2c4bd
Patch1:		%{name}-ncurses.patch
Patch2:		%{name}-plugin_dir.patch
Patch3:		%{name}-kernel_version.patch
Patch4:		%{name}-name.patch
URL:		http://ettercap.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-ext-devel
BuildRequires:	openssl-devel >= 0.9.7d
Provides:	ettercap = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
ettercap is a network sniffer/interceptor/logger for ethernet LANs
(both switched or not). It supports active and passive dissection of
many protocols (even ciphered ones, like SSH and HTTPS). Data
injection in an established connection and filtering (substitute or
drop a packet) on the fly is also possible, keeping the connection
synchronized. Many sniffing modes were implemented to give you a
powerful and complete sniffing suite. Plugins are supported. It has
the ability to check whether you are in a switched LAN or not, and to
use OS fingerprints (active or passive) to let you know the geometry
of the LAN. The passive scan of the LAN retrieves infos about: hosts
in the lan, open ports, services version, type of the host (gateway,
router or simple host) and extimated distance in hop.

%description -l pl
ettercap jest wieloczynnociowym snifferem/przechwytywaczem/loggerem
dla sieci LAN (opartych na switchach lub hubach). Obsuguje aktywn i
pasywn analiz wielu protokow (nawet szyfrowanych, jak SSH czy
HTTPS). Moliwe jest take wstrzykiwanie lub filtrowanie danych
(podmiana lub usunicie pakietu) w locie, przy podtrzymaniu
synchronizacji poczenia. Program ma zaimplementowane wiele trybw
sniffowania, aby da potne i kompletne narzdzie. Obsugiwane s
wtyczki. Program ma moliwo sprawdzania, czy pracuje w sieci ze
switchami oraz uywania odciskw systemw (aktywnego lub pasywnego)
do poznania geometrii sieci. Pasywne skanowanie sieci uzyskuje
informacje o: hostach w sieci, otwartych portach, wersjach usug,
rodzajach hostw (bramki, routery lub zwyke komputery) oraz
przyblionych odlegociach (w hopach).

%description -l pt_BR
ettercap  um sniffer/interceptor/logger de rede para redes locais
(com uso de switches ou no). Suporta operaes ativas e passivas de
vrios protocolos (mesmo os criptografados, como SSH e HTTPS). Tambm
 possvel injeo de dados em uma conexo estabelecida e filtragem
(substituio ou descarte de um pacote) em tempo real mantendo a
conexo sincronizada. Muitos modos de sniffing foram implementadas
para proporcionar a voc um completo conjunto de sniffing. Plugins so
suportados. Tem a habilidade de verificar se voc est em uma rede
local com switches ou no. Utiliza fingerprints do Sistema Operacional
(ativo ou passivo) para permitir que voc conhea a geometria da rede
local. A varredura passiva da rede local obtm informaes sobre:
hosts na rede local, portas abertas, verso de servios, tipo de host
(gateway, router ou um computador) e a distncia estimada no hop.

%prep
%setup -q -n ettercap-%{version}
%patch1 -p0
#%patch2 -p1
%patch3 -p1
%patch4

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__autoheader}
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%configure \
	--enable-devel \
	--enable-ncurses \
	--disable-gtk \
	--%{!?debug:dis}%{?debug:en}able-debug \
	--enable-plugins \
	--enable-https
%{__make}
%{__make} plug-ins

%install
rm -rf $RPM_BUILD_ROOT

mv ettercap{,6}.8

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} plug-ins_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.PLUGINS HISTORY CHANGELOG AUTHORS TODO
%doc THANKS KNOWN-BUGS PORTINGS
%doc plugins/{H03_hydra1/HYDRA.HOWTO,H01_zaratan/ZARATAN.HOWTO,H09_roper/ROPER.HOWTO}
%attr(755,root,root) %{_sbindir}/*
%{_libdir}/ettercap6
%{_datadir}/ettercap6
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ettercap6.spec,v $
Revision 1.60  2005/10/19 16:55:01  undefine
- 0.6.x, old version of ettercap, but with few nice features than ettercap-NG(0.7.x)

Revision 1.47  2004/08/18 09:49:15  undefine
- release 4

Revision 1.46  2004/08/11 10:04:26  qboosh
- BR: ncurses-ext-devel

Revision 1.45  2004/07/02 13:11:47  areq
- copy config.sub to allow build on amd64

Revision 1.44  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.43  2003/11/23 02:34:04  undefine
- release 3

Revision 1.42  2003/11/11 19:15:28  gotar
- fixed building (passing CFLAGS, linking),
- enabled devel stuff,
- cosmetics,
- removed obsoleted dont_require_root patch.

Revision 1.41  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.40  2003/10/06 07:42:29  djrzulf
- now builds,

Revision 1.39  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.38  2003/08/18 08:08:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.37  2003/08/02 17:28:38  qboosh
- removed BRs required by rpm-build
- typos, longer pl description

Revision 1.36  2003/07/29 17:19:37  aredridel
- increment release to rebuild with openssl 0.9.7

Revision 1.35  2003/07/11 18:47:23  misi3k
- updated to 0.6b

Revision 1.34  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.33  2003/06/12 17:57:44  areq
- disable gtk

Revision 1.32  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.31  2003/05/25 05:47:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/22 08:10:20  adgor
- Added epoch to allow upgrade from 0.6.9

Revision 1.29  2003/05/06 21:28:44  adamg
- up to 0.6.a: various new improvements
- fixed source0 address

Revision 1.28  2003/02/13 19:27:05  mmazur
- updated to 0.6.9

Revision 1.27  2003/02/13 14:02:04  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.26  2002/10/09 13:14:21  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/08/05 20:40:32  kloczek
- update to 0.6.7: updated the passive OS fingerprint database and bugfixes.

Revision 1.24  2002/06/06 01:37:37  kloczek
- use new %doc,
- better description and merge translations from Conectiva.

Revision 1.23  2002/06/05 05:55:14  yaro
- update to 0.6.6.6
- STBR

Revision 1.22  2002/05/21 23:13:00  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/25 16:15:53  arturs
fixed a small typo

Revision 1.20  2002/04/24 19:00:01  mmazur
- updated to 0.6.5; rel 1; STBR

Revision 1.19  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/17 00:00:53  qboosh
- missing l

Revision 1.17  2002/02/16 18:31:38  mmazur
- me broke, me fix

Revision 1.16  2002/02/16 18:19:14  kloczek
- adapterized.

Revision 1.15  2002/02/16 17:03:06  mmazur
- updated to 0.6.4
- STBR security

Revision 1.14  2002/02/12 20:53:55  qboosh
- adapterized, s/pld-list/feedback/

Revision 1.13  2002/02/12 17:50:39  mmazur
- update to 0.6.3.1
- my first commit... stress level 95%
- STBR

Revision 1.12  2002/01/18 02:12:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/22 15:50:50  undefine
- update to 0.6.2
- STBR

Revision 1.10  2001/09/07 17:08:05  mkochano
- More BuildRequires.

Revision 1.9  2001/09/07 11:10:08  kloczek
- release 2.

Revision 1.8  2001/09/07 09:58:00  grzegorz
- added pl description and summary

Revision 1.7  2001/09/06 19:50:50  kloczek
- typo.

Revision 1.6  2001/09/06 17:35:14  kloczek
- use --{dis,en}ablele-debug depending on %%{debug}.

Revision 1.5  2001/09/06 16:56:48  mkochano
- Added BROKEN kernel_version patch which should make ettercap check version
  of kernel sources installed, not of kernel running.

Revision 1.4  2001/09/06 16:20:54  kloczek
- added missing BuildRequires and cosmetics.

Revision 1.3  2001/09/06 16:11:16  mkochano
- Added plugin_dir patch --- plugins moved to %%{_libdir}. They are binary
  files (*.so) and AFAIK should not be in %%{_datadir}.
- Removed not needed ,,\'' from %%build section.
- Corrected %%files section --- ettercap now owns %%{_libdir}/%%{name}
  directory.

Revision 1.2  2001/09/06 15:39:36  mkochano
- Added dont_require_root patch so it will build as any user.
- Added ncurses so it will build ncurses interface.
- More BuildRequires.
- Gzipped documentation.
- Removed COPYING from docs. Clear copyright in License field.

Revision 1.1  2001/09/06 14:11:58  grzegorz
- PLD initial spec
- need uid=0 to build
